
Infrastructure - Task #2346

Story # 1823 (Closed): Debian Packages need to be updated when updated, and environment aware

Modify dataone-cn-metacat debian scripts to be aware of the deployed environment and install

status

2012-02-17 00:44 - Chris Jones

Status: Closed Start date: 2012-02-17

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The dataone-cn-os-core package sets up the deployed environment.  Subsequently installed packages, such as metacat, should be

configured based on the deployed environment.  For instance, a debconf key called dataone-cn-os-core/cn.context.label is set (to

DEV, SANDBOX, STAGE, or PRODUCTION), and the metacat.properties file should be modified accordingly to connect to

cn-sandbox.dataone.org (in the sandbox case) via D1Client.

History

#1 - 2012-02-29 16:18 - Chris Jones

- Parent task deleted (#2335)

- Category set to Metacat

- Status changed from New to In Progress

- Assignee set to Chris Jones

I'm removing this as a subtask of #2335 and will add it to a different story.

#2 - 2012-02-29 17:02 - Chris Jones

- Parent task set to #1823

I'm making this a subtask of #1823.

#3 - 2012-02-29 17:08 - Chris Jones

- Subject changed from Modify dataone-cn-metacat debian scripts to be aware of the deployed environment to Modify dataone-cn-metacat debian

scripts to be aware of the deployed environment and install status

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.07-Block.1.4

#4 - 2012-03-26 16:50 - Chris Jones

- Status changed from In Progress to Closed

Metacat is now being updated per environment.
